Error in flasher_linux script while updating herelink firmware

Hi.
We are trying to update there herelink firmware, following this guide: https://docs.cubepilot.org/user-guides/herelink/herelink-user-guides/upgrading-firmware
In the Controller Upgrade section (step 3), when running the application.
We are on ubuntu 20.04

`Extracting package...
100%|█████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████| 19/19 [00:08<00:00,  2.27it/s]
Successfully extracted package
Flashing Unit...
DO NOT DISCONNECT!!
Traceback (most recent call last):
  File "usb1/__init__.py", line 178, in create_initialised_buffer
TypeError: memoryview: a bytes-like object is required, not 'str'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "flasher.py", line 276, in <module>
  File "flasher.py", line 139, in flash_all
  File "flasher.py", line 194, in flash_img
  File "adb/fastboot.py", line 289, in FlashFromFile
  File "adb/fastboot.py", line 325, in Download
  File "adb/fastboot.py", line 137, in HandleDataSending
  File "adb/fastboot.py", line 197, in _Write
  File "adb/common.py", line 175, in BulkWrite
  File "usb1/__init__.py", line 1388, in bulkWrite
  File "usb1/__init__.py", line 182, in create_initialised_buffer
TypeError: string argument without an encoding
[24065] Failed to execute script 'flasher' due to unhandled exception!`

Hey Everyone,

I just tried updating the firmware too and got the exact same error on Ubuntu 18.04

Looking for Device
Found Unit Type:  remoteunit


Downloading required package...
Latest remoteunit release: FRU01220618
Downloading Latest Release from  https://herelinkfw.cubepilot.org/remoteunit-FRU01220618.tar.gz
Package already downloaded!
Successfully download package
Extracting package...
100%|██████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████| 19/19 [00:09<00:00,  1.97it/s]
Successfully extracted package
Flashing Unit...
DO NOT DISCONNECT!!
Traceback (most recent call last):
  File "usb1/__init__.py", line 178, in create_initialised_buffer
TypeError: memoryview: a bytes-like object is required, not 'str'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "flasher.py", line 276, in <module>
  File "flasher.py", line 139, in flash_all
  File "flasher.py", line 194, in flash_img
  File "adb/fastboot.py", line 289, in FlashFromFile
  File "adb/fastboot.py", line 325, in Download
  File "adb/fastboot.py", line 137, in HandleDataSending
  File "adb/fastboot.py", line 197, in _Write
  File "adb/common.py", line 175, in BulkWrite
  File "usb1/__init__.py", line 1388, in bulkWrite
  File "usb1/__init__.py", line 182, in create_initialised_buffer
TypeError: string argument without an encoding

Hi guys,

Any solution for this issue yet?

@Michael_Oborne @philip